#ifndef DefaultOptions_h
#define DefaultOptions_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/
#include "XmlOptions.h"
#include "File.h"
#include "Util.h"

//_____________________________________________________
//* Default options installer
void installDefaultOptions()
{
    // set options default values
    XmlOptions::get().setAutoDefault( true );

    // network device auto check
    XmlOptions::get().set<bool>( "NETWORK_AUTO_RECONNECT", true );
    XmlOptions::get().set<int>( "NETWORK_AUTO_RECONNECT_TIMEOUT", 10 );

    // use system notifications
    XmlOptions::get().set<bool>( "USE_SYSTEM_NOTIFICATIONS", true );
    XmlOptions::get().set<bool>( "USE_MONOCHROME_SYSTEMTRAY_ICON", true );

    // resource file
    XmlOptions::get().set( "OLD_RC_FILE", Option(  File(".qsshrc").addPath(Util::home()), Option::Flag::None ) );
    XmlOptions::get().set( "RC_FILE", Option(  File("qsshrc").addPath(Util::config()), Option::Flag::None ) );

    XmlOptions::get().setAutoDefault( false );

};

#endif
