#ifndef ToolTipWidget_h
#define ToolTipWidget_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseToolTipWidget.h"

#include <QLabel>
#include <QList>
#include <QPixmap>

class GridLayout;
class ConnectionObject;

//* customized tooltip widget
class ToolTipWidget : public BaseToolTipWidget
{

    public:

    //* constructor
    explicit ToolTipWidget( QWidget* = nullptr );

    //* set pixmap
    void setPixmap( const QPixmap& pixmap )
    { pixmapLabel_->setPixmap( pixmap ); }

    //* set title
    void setTitle( const QString& value )
    { titleLabel_->setText( value ); }

    //* update
    void updateText( QList<ConnectionObject*> );

    //* eventFilter
    bool eventFilter( QObject *, QEvent * ) override;

    private:

    //* pixmap label
    QLabel* pixmapLabel_ = nullptr;

    //* title label
    QLabel* titleLabel_ = nullptr;

    //* separator
    QFrame* separator_ = nullptr;

    //* grid layout
    GridLayout* layout_ = nullptr;

};


#endif
